> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Memory

> Delete a memory.

Only the memory owner can delete their memories.
This action cannot be undone.



## OpenAPI

````yaml api-reference/openapi.json delete /api/v1/memories/{memory_id}
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/memories/{memory_id}:
    delete:
      tags:
        - Memory
      summary: Delete Memory
      description: |-
        Delete a memory.

        Only the memory owner can delete their memories.
        This action cannot be undone.
      operationId: delete_memory_api_v1_memories__memory_id__delete
      parameters:
        - name: memory_id
          in: path
          required: true
          schema:
            type: string
            title: Memory Id
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: User ID
            title: User Id
          description: User ID
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemoryDeleteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    MemoryDeleteResponse:
      properties:
        memory_id:
          type: string
          title: Memory Id
          description: ID of the deleted memory.
        message:
          type: string
          title: Message
          description: Success message.
      type: object
      required:
        - memory_id
        - message
      title: MemoryDeleteResponse
      description: Schema for memory deletion response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````